BANK KALTENG - Feature #604

Approval Request ESS
12/01/2021 05:40 PM - Mega Yunita

Status: Closed Start date: 12/01/2021
Priority: Immediate Due date: 01/25/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Pak Yusuf and Team Developer,
Mohon bantuannya untuk membuat validasi :

1. Jika requestor adalah employee dengan Organization Level Pimpinan Cabang, maka field approval name harus diisi, jika tidak
maka tidak bisa create.

2. Jika bukan pimpinan cabang, maka field approval name tersebut hanya read only

3. Approval name yang muncul pada combo box adalah nama employee yang memiliki organization level Ditektorat

4. Setelah muncul dan dipilih, maka request tersebut masuk ke inbox employee direktorat yang dipilih untuk melakukan approve
5. Jika field approval name kosong, maka sistem akan membaca ke OM (Organization Management)

6. Field Approval Name berada pada form ESS HR Administration, Time Management, Benefit Management, Travel Management,
Training Management. —

Port : http://remote.minovais.com:31130/
DB : MinovaES_Bank_Kalteng

Semoga dapat dipahami dan dimengerti,
Terimakasih

Mega

History

#1 - 12/02/2021 11:37 AM - Mr. Yusuf

Mega Yunita wrote:
Dear Pak Yusuf and Team Developer,
Mohon bantuannya untuk membuat validasi :
1. Jika requestor adalah employee dengan Organization Level Pimpinan Cabang, maka field approval name harus diisi, jika tidak maka tidak
bisa create.
Untuk mengetahui bahwa employee tsb adalah Pimpinan Cabang dari Table apa saja, bagaimana rumusnya?
2. Jika bukan pimpinan cabang, maka field approval name tersebut hanya read only
3. Approval name yang muncul pada combo box adalah nama employee yang memiliki organization level Ditektorat
Untuk list combonya ambil dari Table apa, bagaimana rumusnya?
4. Setelah muncul dan dipilih, maka request tersebut masuk ke inbox employee direktorat yang dipilih untuk melakukan approve
5. Jika field approval name kosong, maka sistem akan membaca ke OM (Organization Management)
6. Field Approval Name berada pada form ESS HR Administration, Time Management, Benefit Management, Travel Management, Training

Management. —

Port : http://remote.minovais.com:31130/
DB : MinovaES_Bank_Kalteng

Semoga dapat dipahami dan dimengerti,

Terimakasih
#2 - 12/06/2021 09:43 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned
- Assignee changed from Mr. Yusuf to Mega Yunita

- Priority changed from High to Immediate

berikut yaa bbrp yang harus dilengkapi:

Mega:

- Untuk dapat di informasikan kode organization level dari Cabang apa?

- Untuk dapat di informasikan kode organization level Direktorat apa?

Developer:

- Tabel untuk membaca Organization Level Cabang adalah PHROM0004

- List combobox sebaiknya tidak perlu dibuatkan, namun langsung dibuatkan saja dim bentuk fungsi dengan kluaran adalah list employee dengan
organization level direktorat ssi ketentuan yang disampaikan diatas

namun untuk fleksibilitasnya, organization level yang dipilih dalam fungsi tsb ada baiknya disimpan di General Parameter (ready dgn ketentuan bisa
lebih dari dr 1 organization level) supaya jika ada perubahan organization level lebih fleksible (tidak harus di handle oleh developer).

Demikian, jika ada yang ingin ditanyakan silahkan ya
Tks

#3 - 12/06/2021 10:46 AM - Mega Yunita
Untuk kode yang diperlukan

- Kode organization level dari Cabang adalah 00000059
- Kode organization level Direktorat adalah 00000003, 00000004, 00000005, 00000006

Terimakasih
#4 - 12/06/2021 04:36 PM - Mega Yunita
Maaf untuk kode yang tadi salah, yang benara adalah :

- Kode organization level dari Cabang adalah 3050
- Kode organization level Direktorat adalah 1050

Terimakasih
#5 - 12/15/2021 04:22 PM - Kezia Pawitra Yulianti
- Due date changed from 12/08/2021 to 12/24/2021
- Assignee changed from Mega Yunita to M Azid Wahyudi
berikut yaa update untuk detail kebutuhan nya
Tks
#6 - 01/21/2022 03:07 PM - Mr. Yusuf
Kezia Pawitra Yulianti wrote in #note-5:
berikut yaa update untuk detail kebutuhan nya
Tks

Bisa dikasih sample employeenya? pimpinan cabang, yg bukan pimpinan cabang?
Querynya utk tahu dia pimpinan cabang apakah dari phrpa0002 dulu?

#7 - 01/21/2022 03:13 PM - Kezia Pawitra Yulianti
- Due date changed from 12/24/2021 to 01/25/2022

ok Pak, nanti biar Mega yg akan siapkan contoh datanya
Mega Yunita: tolong dibantu untuk dibuatkan ya
Thanks

#8 - 01/21/2022 03:17 PM - Mr. Yusuf

Kezia Pawitra Yulianti wrote in #note-7:

ok Pak, nanti biar Mega yg akan siapkan contoh datanya
Mega Yunita: tolong dibantu untuk dibuatkan ya

Thanks

lya saya lihat datanya masih 11 karyawan. Ok, urutan querynya gmn mbak Yaya utk tahu bahwa employee tsb adalah pimpinan cabang?

#9 - 01/21/2022 03:28 PM - Kezia Pawitra Yulianti

Detail membaca organization level pimpinan cabang adalah sbb:

1. Cek Relasi E ke P nya kemudian cek relasi dr P tsb ke O nya juga pada tabel PHROMO0002 sesuai dengan tanggal yg berlaku

2. Setelah itu cek Organization Level pd O tsb di tabel PHROMO0004 sesuai dengan tanggal yg berlaku

3. Di situ akan terlihat Organization levelnya dan untuk dilanjutkan sesuai ketentuan yg sudah disampaikan di redmine sebelumnya
4. Jangan lupa untuk memperhatikan masa berlaku dari setiap data tsb sesuai dengan tanggal cuti yg diajukan

Tks

#10 - 01/21/2022 03:39 PM - Mr. Yusuf

Kezia Pawitra Yulianti wrote in #note-9:

Detail membaca organization level pimpinan cabang adalah sbb:

1. Cek Relasi E ke P nya kemudian cek relasi dr P tsb ke O nya juga pada tabel PHROMO0002 sesuai dengan tanggal yg berlaku

2. Setelah itu cek Organization Level pd O tsb di tabel PHROMO0004 sesuai dengan tanggal yg berlaku

3. Di situ akan terlihat Organization levelnya dan untuk dilanjutkan sesuai ketentuan yg sudah disampaikan di redmine sebelumnya
4. Jangan lupa untuk memperhatikan masa berlaku dari setiap data tsb sesuai dengan tanggal cuti yg diajukan

Tk

Kalau cek dr PHRPAO0002 utk dapatkan Onya lalu ke PHROMO0004 bisa?

#11 - 01/21/2022 04:02 PM - Kezia Pawitra Yulianti

sorry ada tambahan Pak

1. harus cek ke posisinya dulu karena di P nya harus cek dia ishead nya Y atau tidak

kalau Y maka dia sebagai head dgn org level pimpinan cabang

2. Jika is head nya N, maka dia bukan sbg pimpinan cabang biarpun Org Levelnya adalah Cabang dan dianggap bukan sbg pimpinan cabang
3. Jadi makanya tetap harus baca relasi antara E ke P nya dl untuk baca ishead Y atau N

Tks
#12 - 01/21/2022 04:27 PM - Mr. Yusuf
Kezia Pawitra Yulianti wrote in #note-11:
sorry ada tambahan Pak
1. harus cek ke posisinya dulu karena di P nya harus cek dia ishead nya Y atau tidak
kalau Y maka dia sebagai head dgn org level pimpinan cabang
2. Jika is head nya N, maka dia bukan sbg pimpinan cabang biarpun Org Levelnya adalah Cabang dan dianggap bukan sbg pimpinan cabang

3. Jadi makanya tetap harus baca relasi antara E ke P nya dl untuk baca ishead Y atau N

Tks

Nah sip, I|g zooman sama Azid. Dah ok nih, tinggal sample datanya

#13 - 01/21/2022 04:29 PM - Kezia Pawitra Yulianti
Oke thanks Pak

#14 - 01/26/2022 09:40 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Mega Yunita

#15 - 02/16/2022 11:20 AM - fernando sergio rumbayan
- Status changed from QA Test to Closed

Files

Screenshot_11.png 54 KB 12/01/2021 Mega Yunita
